Mac OS X 10.5 compatibility?

Questions about Wine on macOS.
Locked
doh123
Level 8
Level 8
Posts: 1227
Joined: Tue Jul 14, 2009 1:21 pm

Mac OS X 10.5 compatibility?

Post by doh123 » Mon Sep 05, 2011 5:21 pm

I was wondering if Wine lost 10.5 compatibility, or if any of the few people out there with it have noticed a problem.

Up through 1.3.25 it seems to compile and work fine.

On 1.3.26 and 1.3.27 the compile will fail with errors about a bunch of symbols in msxml3.dll.so that are not found.

Building 1.3.26 and 1.3.27 on 10.6 or 10.7 using a 10.5 SDK it will build fine and still work on 10.6 and 10.7, but taking it back to 10.5 it crashes with Dyld error message of unknown load command.

Building 1.3.25 and older on 10.5 works... building 1.3.25 on 10.6 or 10.7 with the 10.5 SDK then moving the install back to 10.5 still works fine too... its just a problem in 1.3.26 and 1.3.27 as far as I can tell.

I'm not normalyl worried about 10.5 but I still support it in Wineskin so my current 1.3.26 and 1.3.27 versions that run fine on 10.6 and 10.7 crash on 10.5... and since it won't even compile on 10.5 I'm guessing that is part of the problem.

Has anyone else been able to build 1.3.26 or 1.3.27 on 10.5?

doh123
Level 8
Level 8
Posts: 1227
Joined: Tue Jul 14, 2009 1:21 pm

Post by doh123 » Fri Sep 09, 2011 3:06 pm

Looks like 1.3.28 is still broken for OSX 10.5... 1.3.25 and older still build fine, and 1.3.26+ will not. They build fine on OSX 10.6 and 10.7, just not 10.5.

When building on 10.5 make ends out with this...

Undefined symbols:
"_xmlSchemaSetValidStructuredErrors", referenced from:
_SchemaCache_validate_tree in schema.o
_dt_validate in schema.o
"_xmlFirstElementChild", referenced from:
_link_datatypes in schema.o
"_xmlSchemaSetParserStructuredErrors", referenced from:
_cache_entry_from_xsd_doc in schema.o
_dt_validate in schema.o
_cache_entry_from_xdr_doc in schema.o
ld: symbol(s) not found
collect2: ld returned 1 exit status
winegcc: gcc-4.2 failed
make[1]: *** [msxml3.dll.so] Error 2
make: *** [dlls/msxml3] Error 2

same way on 1.3.26, 1.3.27, and 1.3.28 .... seems odd.

jjmckenzie
Moderator
Moderator
Posts: 1153
Joined: Wed Apr 27, 2011 11:01 pm

Mac OS X 10.5 compatibility?

Post by jjmckenzie » Fri Sep 09, 2011 3:32 pm

On Fri, Sep 9, 2011 at 1:06 PM, doh123 <wineforum-user@winehq.org> wrote:
Looks like 1.3.28 is still broken for OSX 10.5... 1.3.25 and older still build fine, and 1.3.26+ will not.  They build fine on OSX
10.6 and 10.7, just not 10.5.

When building on 10.5 make ends out with this...

Undefined symbols:
 "_xmlSchemaSetValidStructuredErrors", referenced from:
     _SchemaCache_validate_tree in schema.o
     _dt_validate in schema.o
 "_xmlFirstElementChild", referenced from:
     _link_datatypes in schema.o
 "_xmlSchemaSetParserStructuredErrors", referenced from:
     _cache_entry_from_xsd_doc in schema.o
     _dt_validate in schema.o
     _cache_entry_from_xdr_doc in schema.o
ld: symbol(s) not found
collect2: ld returned 1 exit status
winegcc: gcc-4.2 failed
make[1]: *** [msxml3.dll.so] Error 2
make: *** [dlls/msxml3] Error 2
I'm wondering where in the OSX framework these exist in 10.6/10.7. I
may have a system, Intel based, that is still on 10.5 and I'll check
this evening.
same way on 1.3.26, 1.3.27, and 1.3.28 .... seems odd.
Looks like the breakage is an msxml3 patch applied between 1.3.25 and
1.3.26. I have a patch applied hold folder that I can look at as
well.

James

Alexandre Julliard

Mac OS X 10.5 compatibility?

Post by Alexandre Julliard » Fri Sep 09, 2011 5:03 pm

"doh123" <wineforum-user@winehq.org> writes:
Looks like 1.3.28 is still broken for OSX 10.5... 1.3.25 and older still build fine, and 1.3.26+ will not. They build fine on OSX 10.6 and 10.7, just not 10.5.

When building on 10.5 make ends out with this...

Undefined symbols:
"_xmlSchemaSetValidStructuredErrors", referenced from:
_SchemaCache_validate_tree in schema.o
_dt_validate in schema.o
"_xmlFirstElementChild", referenced from:
_link_datatypes in schema.o
"_xmlSchemaSetParserStructuredErrors", referenced from:
_cache_entry_from_xsd_doc in schema.o
_dt_validate in schema.o
_cache_entry_from_xdr_doc in schema.o
ld: symbol(s) not found
collect2: ld returned 1 exit status
winegcc: gcc-4.2 failed
make[1]: *** [msxml3.dll.so] Error 2
make: *** [dlls/msxml3] Error 2

same way on 1.3.26, 1.3.27, and 1.3.28 .... seems odd.
It works fine here, and these functions have configure checks. There's
something broken with your setup.

--
Alexandre Julliard
julliard@winehq.org

doh123
Level 8
Level 8
Posts: 1227
Joined: Tue Jul 14, 2009 1:21 pm

Re: Mac OS X 10.5 compatibility?

Post by doh123 » Fri Sep 09, 2011 5:45 pm

Alexandre Julliard wrote:"doh123" <wineforum-user@winehq.org> writes:
Looks like 1.3.28 is still broken for OSX 10.5... 1.3.25 and older still build fine, and 1.3.26+ will not. They build fine on OSX 10.6 and 10.7, just not 10.5.

When building on 10.5 make ends out with this...

Undefined symbols:
"_xmlSchemaSetValidStructuredErrors", referenced from:
_SchemaCache_validate_tree in schema.o
_dt_validate in schema.o
"_xmlFirstElementChild", referenced from:
_link_datatypes in schema.o
"_xmlSchemaSetParserStructuredErrors", referenced from:
_cache_entry_from_xsd_doc in schema.o
_dt_validate in schema.o
_cache_entry_from_xdr_doc in schema.o
ld: symbol(s) not found
collect2: ld returned 1 exit status
winegcc: gcc-4.2 failed
make[1]: *** [msxml3.dll.so] Error 2
make: *** [dlls/msxml3] Error 2

same way on 1.3.26, 1.3.27, and 1.3.28 .... seems odd.
It works fine here, and these functions have configure checks. There's
something broken with your setup.

--
Alexandre Julliard
julliard@winehq.org
Do you have a OSX 10.5 version installed that its building on ok?

I have multiple machines and it does the same thing on all of them... the 10.5 I mainly try to build on is a stock Mac OS X 10.5 install with Xcode and Macports and nothing else installed or changed at all. Every version up to 1.3.25 still compiles fine, its only broken at 1.3.26+. its odd multiple machines (one of which is 32 bit only) all have the same problem with the same OS version and it only started since 1.3.26.

Alexandre Julliard

Mac OS X 10.5 compatibility?

Post by Alexandre Julliard » Sat Sep 10, 2011 3:11 am

"doh123" <wineforum-user@winehq.org> writes:
Do you have a OSX 10.5 version installed that its building on ok?
Yes.
I have multiple machines and it does the same thing on all of
them... the 10.5 I mainly try to build on is a stock Mac OS X 10.5
install with Xcode and Macports and nothing else installed or changed
at all. Every version up to 1.3.25 still compiles fine, its only
broken at 1.3.26+. its odd multiple machines (one of which is 32 bit
only) all have the same problem with the same OS version and it only
started since 1.3.26.
Please do a git bisect.

--
Alexandre Julliard
julliard@winehq.org

hibba
Level 2
Level 2
Posts: 19
Joined: Mon May 23, 2011 12:27 am

Re: Mac OS X 10.5 compatibility?

Post by hibba » Sat Sep 10, 2011 3:23 pm

doh123 wrote:I was wondering if Wine lost 10.5 compatibility, or if any of the few people out there with it have noticed a problem.

Up through 1.3.25 it seems to compile and work fine.

On 1.3.26 and 1.3.27 the compile will fail with errors about a bunch of symbols in msxml3.dll.so that are not found.

Building 1.3.26 and 1.3.27 on 10.6 or 10.7 using a 10.5 SDK it will build fine and still work on 10.6 and 10.7, but taking it back to 10.5 it crashes with Dyld error message of unknown load command.

Building 1.3.25 and older on 10.5 works... building 1.3.25 on 10.6 or 10.7 with the 10.5 SDK then moving the install back to 10.5 still works fine too... its just a problem in 1.3.26 and 1.3.27 as far as I can tell.

I'm not normalyl worried about 10.5 but I still support it in Wineskin so my current 1.3.26 and 1.3.27 versions that run fine on 10.6 and 10.7 crash on 10.5... and since it won't even compile on 10.5 I'm guessing that is part of the problem.

Has anyone else been able to build 1.3.26 or 1.3.27 on 10.5?


I just installed 1.3.27 using Macports and it built and appeared to install OK (I haven't tested it very thoroughly, but it did at the least run winecfg). This was done on an older MacBook (sorry, not sure the year) with an Intel Core Duo processor.

Just adding in my results, hope they help somebody :-)

Hibba.

doh123
Level 8
Level 8
Posts: 1227
Joined: Tue Jul 14, 2009 1:21 pm

Re: Mac OS X 10.5 compatibility?

Post by doh123 » Sat Sep 10, 2011 4:07 pm

hibba wrote:I just installed 1.3.27 using Macports and it built and appeared to install OK (I haven't tested it very thoroughly, but it did at the least run winecfg). This was done on an older MacBook (sorry, not sure the year) with an Intel Core Duo processor.

Just adding in my results, hope they help somebody :-)

Hibba.
I'll check how Macports is building... maybe I'm building something differently, but its weird that 1.3.25 and older still build fine.... and the same exact build environment on 10.6 and 10.7 builds fine too.
I'm glad to know others can build ok on 10.5, so I just need to figure out what is wrong with the way I'm going about it.

jwong
Level 2
Level 2
Posts: 25
Joined: Thu Feb 17, 2011 4:58 pm
Location: US

Post by jwong » Wed Sep 21, 2011 10:26 am

Hi doh123,

Were you able to figure out what was the problem? I too am experiencing the same issue.

doh123
Level 8
Level 8
Posts: 1227
Joined: Tue Jul 14, 2009 1:21 pm

Post by doh123 » Wed Sep 21, 2011 4:21 pm

jwong wrote:Hi doh123,

Were you able to figure out what was the problem? I too am experiencing the same issue.
I have not gotten back to troubleshooting it yet... I only do 10.5 builds for compatibility for Wineskin, which I'm doing a major overhaul on for a new version out really soon... and I'm going to play around with this a bit more in the next couple of days and see if i can figure it out.

twordtuzz
Newbie
Newbie
Posts: 1
Joined: Fri Sep 23, 2011 2:13 am
Contact:

Re: Mac OS X 10.5 compatibility?

Post by twordtuzz » Fri Sep 23, 2011 2:30 am

Alexandre Julliard wrote:"doh123" <wineforum-user@winehq.org> writes:
Do you have a OSX 10.5 version installed that its building on ok?
Yes.
I have multiple machines and it does the same thing on all of
them... the 10.5 I mainly try to build on is a stock Mac OS X 10.5
install with Xcode and Macports and nothing else installed or changed
at all. Every version up to 1.3.25 still compiles fine, its only
broken at 1.3.26+. its odd multiple machines (one of which is 32 bit
only) all have the same problem with the same OS version and it only
started since 1.3.26.
Please do a git bisect.

--
Alexandre Julliard
julliard@winehq.org

Alexandre Julliard,thx for your work

jwong
Level 2
Level 2
Posts: 25
Joined: Thu Feb 17, 2011 4:58 pm
Location: US

Post by jwong » Tue Nov 22, 2011 6:50 pm

I'm trying to build a custom engine under Winery 1.3 on OSX 10.5 and I'm getting the same error that doh123 reported originally.

Doh123, I noticed you released WS8Wine-1.3.33 which works on OSX 10.5. How did you get this to compile? Did you compile on 10.5?

I can compile 1.3.33 using Winery 1.3 on 10.6, but it crashes when used on 10.5. We're working with a custom build of the wine engine and we'd like to get this working so we don't need a different version of our app just for Leopard.

Thanks,

doh123
Level 8
Level 8
Posts: 1227
Joined: Tue Jul 14, 2009 1:21 pm

Post by doh123 » Tue Nov 22, 2011 10:16 pm

Right now.. if I build on 10.5 it fails... if I build on 10.7, it works on 10.6 and 10.7 and crashes on 10.5. If I build on 10.6, then it works fine on 10.5, 10.6, and 10.7. I do all the official builds on a 10.6 machine.

Locked